#pragma once

#include "multiverseview.h"
#include "qsacnnode.h"

#include <QApplication>
#include <QUuid>

class SacnExplorer
    : public QApplication
{
  Q_OBJECT
public:
  explicit SacnExplorer(int argc, char *argv[]);
  virtual ~SacnExplorer();

private:
  void loadSettings();
  void saveSettings();

  MultiverseView* window;
  QSacnNode *node_;
  QUuid cid_;
};

